import { OnlineSnapshot } from '../entities/online-snapshot.entity';

export const ONLINE_SNAPSHOT_REPOSITORY = Symbol('ONLINE_SNAPSHOT_REPOSITORY');

export interface IOnlineSnapshotRepository {
  create(data: Partial<OnlineSnapshot>): OnlineSnapshot;
  save(entity: OnlineSnapshot): Promise<OnlineSnapshot>;
  findByTimeRange(startTime: Date, endTime: Date): Promise<OnlineSnapshot[]>;
}
